Subject: xref-find-references doesn't change directory to match relative filenames

From: Juri Linkov <[email-masked]>
Date: Fri, 06 Aug 2021 02:52:57 +0300

>> I have the same problem.  When calling xref-find-references
>> from a subdirectory, not from the project root, it creates
>> an*xref*  buffer where file names are relative to the
>> project root (when xref-file-name-display is 'project-relative'),
>> but the default directory is not the project root.
>> So using file-at-point fails to find the relative file.
>
> That sounds different. Could you file a separate report with exact
> reproduction steps? Try to make sure you're using the latest master first
> (I fixed bug ~like that a couple of months ago).
>
> FWIW, I'm cannot reproduce.

Why not?  Here is the reproduction steps:

0. run `emacs -Q`
1. open xref.el
2. type 'M-? xref-find-references RET'
3. check that default-directory of the output *xref* buffer
   with relative file names is not project's root.